export const fxRatesAPI = superclass =>
    class extends superclass {
        async getFxRates() {
            const url = `${this.baseUrl}/fx-rates`;
            const response = await this.get(url);
            return response;
        }

        async getFxRate(originalCurrency, finalCurrency) {
            const url = `${this.baseUrl}/fx-rate`;
            const options = {
                params: { originalCurrency: originalCurrency, finalCurrency: finalCurrency }
            };
            const response = await this.post(url, options);
            return response;
        }
    };

export default fxRatesAPI;
