export const PaymentAPI = superclass =>
    class extends superclass {
        async mbway(amount, documentID, email, phoneNumber) {
            const url = `${this.baseUrl}/payment/mbway`;
            const options = {
                params: {
                    amount: amount,
                    documentID: documentID,
                    email: email,
                    phoneNumber: phoneNumber
                }
            };
            const response = await this.post(url, options);
            return response;
        }

        async mbwayStatus(idPayment) {
            const url = `${this.baseUrl}/payment/mbway/status`;
            const options = { params: { mbway_id: idPayment } };
            const response = await this.post(url, options);
            return response;
        }

        async mcx(amount, documentID, phoneNumber) {
            const url = `${this.baseUrl}/payment/mcx`;
            const options = {
                params: {
                    amount: amount,
                    documentID: documentID,
                    phoneNumber: phoneNumber
                }
            };
            const response = await this.post(url, options);
            return response;
        }
    };

export default PaymentAPI;
