export const CardsAPI = superclass =>
    class extends superclass {
        async listCards() {
            const url = `${this.baseUrl}/cards/me`;
            const response = await this.get(url);
            return response;
        }
        async attachCard(token, cardDetails) {
            const url = `${this.baseUrl}/users/attach-card`;
            const options = {
                params: {
                    token: token,
                    cardDetails: cardDetails,
                }
            };
            const response = await this.post(url, options);
            return response;
        }
    };

export default CardsAPI;
