export const PaymentMethodsAPI = superclass =>
    class extends superclass {
        async getPaymentMethodsByCurrency(currencyId) {
            const url = `${this.baseUrl}/payment-methods/${currencyId}`;
            const response = await this.get(url);
            return response;
        }
    };

export default PaymentMethodsAPI;
